POST api/departmentapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "ee2699ec-3c1b-4327-9074-3abade802c4f",
  "delay_between_scans": 1,
  "id": "3a29b0e4-309a-4b5e-a8f7-373d9edc1700",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "26906f22-9d37-45c1-8803-58949c39c459",
  "selected_sticker_id": "83bfa3a3-410e-4243-936f-e70cbc02ac88"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>ee2699ec-3c1b-4327-9074-3abade802c4f</contract_id>
  <delay_between_scans>1</delay_between_scans>
  <id>3a29b0e4-309a-4b5e-a8f7-373d9edc1700</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>26906f22-9d37-45c1-8803-58949c39c459</selected_nameplate_id>
  <selected_sticker_id>83bfa3a3-410e-4243-936f-e70cbc02ac88</selected_sticker_id>
</department>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"3b019bd3-4d8f-45c4-91cc-46091737614f"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3b019bd3-4d8f-45c4-91cc-46091737614f</guid>